# Aktivieren / Herstellen der RDA Konfiguration auf dem Produktionssystem
# Harald Sauerwein, UB Trier; 24.09.2015

# Mit nachfolgender Variablen kann geseuert werden, ob zuvor ein Test durchgeführt werden
# soll. In diesem Falle werden alle Dateien nach /tmp/tmp/exlibris/... entpackt.
# ------------------------------------------------------------------------------------------
setenv TEST_TMP 1  # 0: Entpacken in aktive ALEPH-Verzeichnisse; 1: Entpacken nach /tmp/tmp/
# ------------------------------------------------------------------------------------------
#  
# Prüfen, ob in xxx01 Umgebung:
setenv lib_check `echo $active_library | grep -c 01`
if ( $lib_check != 1 ) then
  echo Wir befinden uns nicht in der Titel-Library, Abbruch.
  echo
  exit
endif
setenv datum `date +"%Y%m%d"`
setenv aktivieren_von `pwd`
setenv log $aktivieren_von/aktivieren_$datum.log

if ( ! -f $aktivieren_von/pc_tab_$datum.tar ) then
  echo
  echo Kein tagesaktuelles Archiv gefunden:
  ls -l *.tar
  echo
  echo Möchten sie ein älteres Archiv aktivieren 'j/n' 
  set ANTWORT=$<
  if ( $ANTWORT == j ) then
    echo Datum des Archivs, z.B. 20150921
    set datum=$<
echo Datum: $datum
    if ( ! -f $aktivieren_von/pc_tab_$datum.tar ) then
      echo Archiv nicht gefunden, Abbruch.
      exit
    endif
  else
    echo Abbruch
    exit
  endif
endif

if ( $TEST_TMP == 1 ) then
  echo ----------------------------------------------------------------------------- | tee $log
  echo Testmodus aktiviert. Alle Dateien werden nach /tmp/tmp/exlibris/... entpackt. | tee -a $log
  echo ----------------------------------------------------------------------------- | tee -a $log
echo
echo Aktivieren des pc_tab Verzeichnisses von $aktivieren_von/pc_tab_$datum.tar: | tee -a $log
if ( $TEST_TMP == 1 ) then
  setenv tmp_data_pc_tab /tmp/tmp/$data_pc_tab
  mkdir -p $tmp_data_pc_tab
  cd $tmp_data_pc_tab
else
  cd $data_pc_tab
endif
tar -xvf $aktivieren_von/pc_tab_$datum.tar -C . | tee -a $log | egrep -i "tar:|not found"
echo

echo --------------------------------------------------------------------------------------------------- | tee -a $log
echo Aktivieren des data_tab Verzeichnisses von $aktivieren_von/tab_$datum.tar: | tee -a $log
if ( $TEST_TMP == 1 ) then
  setenv tmp_data_tab /tmp/tmp/$data_tab
  mkdir $tmp_data_tab
  cd $tmp_data_tab
else
  cd $data_tab
endif
tar -xvf $aktivieren_von/tab_$datum.tar -C . | tee -a $log | egrep -i "tar:|not found"
echo

echo --------------------------------------------------------------------------------------------------- | tee -a $log
echo Aktivieren check_doc_rda_hbz von $aktivieren_von/check_doc_rda_hbz_$datum.tar, falls implementiert: | tee -a $log
if ( -f $aktivieren_von/check_doc_rda_hbz_$datum.tar ) then
  if ( $TEST_TMP == 1 ) then
    tar -xvf $aktivieren_von/check_doc_rda_hbz_$datum.tar -C /tmp/tmp | tee -a $log | egrep -i "tar:|not found"
  else
    tar -xvf $aktivieren_von/check_doc_rda_hbz_$datum.tar -C / | tee -a $log | egrep -i "tar:|not found"
  endif
  echo
endif
echo

cd $aktivieren_von
echo Eine Log-Datei über die entpackten Dateien wurde als $log erstellt.
echo | tee -a $log
setenv anz_pc_tab `find $tmp_data_pc_tab -ctime 0 | wc -l`
setenv anz_data_tab `find $tmp_data_tab -ctime 0 | wc -l`
echo --------------------------------------------------------------------------------------------------- | tee -a $log
echo Es wurden $anz_pc_tab Dateien ins data_pc_tab Verzeichnis sowie | tee -a $log
echo $anz_data_tab Dateien ins data_tab Verzeichnis kopiert. | tee -a $log
echo
unsetenv anz_pc_tab anz_data_tab datum aktivieren_von lib_check TEST_TMP
unset ANTWORT datum
