# Sichern der RDA Konfiguration auf dem Testsystem
# Harald Sauerwein, UB Trier; 24.09.2015
#
# Prüfen, ob in xxx01 Umgebung:
setenv lib_check `echo $active_library | grep -c 01`
if ( $lib_check != 1 ) then
  echo Wir befinden uns nicht in der Titel-Library, Abbruch.
  echo
  exit
endif
setenv datum `date +"%Y%m%d"`
setenv sichern_in `pwd`

set SYSTEM=`uname -a | grep -ci sunos`
if ( $SYSTEM == 1 ) then 
  echo SunOS 
endif


echo Sichern des pc_tab Verzeichnisses in $sichern_in/pc_tab_$datum.tar:
cd $data_pc_tab
  tar -cvf $sichern_in/pc_tab_$datum.tar catalog/html/*.html catalog/html/style catalog/marc_exp.dat catalog/scancode.dat catalog/tag_text.dat catalog/*.ger catalog/*.mrc | egrep -i "cannot stat|nicht gefunden|not found|failure"
endif
echo
setenv anzahl `tar -tvf $sichern_in/pc_tab_$datum.tar | wc -l`
echo Anzahl gesicherter Dateien: $anzahl
echo 

# -----------------------------------------------------------------------------------------------------------

echo Sichern des data_tab Verzeichnisses in $sichern_in/tab_$datum.tar:
cd $data_tab
# Alles was nach dem Datum der Datei tab_fix_rda_kurzanz1_hbz modifiziert wurde:

if ( $SYSTEM != 1 ) then
  find . -type f -newer tab_fix_rda_kurzanz1_hbz -print0 | tar -cvf $sichern_in/tab_$datum.tar --null -T - | egrep -i "cannot stat|nicht gefunden|not found|failure"
else # SunOS
  find . -type f -newer tab_fix_rda_kurzanz1_hbz -print | tar -cvf $sichern_in/tab_$datum.tar -T - | egrep -i "cannot stat|nicht gefunden|not found|failure"
endif

# Einige ältere Dateien hinzufügen:
tar --update -vf $sichern_in/tab_$datum.tar tab_fix_rda_kurzanz1_hbz tab_expand_type_config

# Für ALEPH20:
if ( -f import/bezkennz ) then
  echo ALEPH20 Dateien
  tar --update -vf $sichern_in/tab_$datum.tar tab_abbrev import/bezkennz
endif

# Falls vorhanden, sichern:
if ( -f tab_fix_convtb_exp ) then
  tar --update -vf $sichern_in/tab_$datum.tar tab_fix_convtb_exp
endif
echo
setenv anzahl `tar -tvf $sichern_in/tab_$datum.tar | wc -l`
echo Anzahl gesicherter Dateien: $anzahl
echo

# -----------------------------------------------------------------------------------------------------------

echo Sichern von check_doc_rda_hbz in $sichern_in/check_doc_rda_hbz_$datum.tar,
echo falls implementiert:
if ( -f $aleph_exe/check_doc_rda_hbz ) then
  tar -cvf $sichern_in/check_doc_rda_hbz_$datum.tar $aleph_exe/check_doc_rda_hbz $alephe_tab/check_doc_rda_hbz_tab 
  echo
  setenv anzahl `tar -tvf $sichern_in/check_doc_rda_hbz_$datum.tar | wc -l`
  echo Anzahl gesicherter Dateien: $anzahl
endif
echo

cd $sichern_in
echo Entstandene Sicherungsdateien:
echo ------------------------------
ls -l *$datum.tar
echo
unsetenv datum
unsetenv sichern_in
unsetenv lib_check
